<?xml version="1.0" encoding="UTF-8"?>

<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>io.geekidea.springbootplus</groupId>
        <artifactId>parent</artifactId>
        <version>2.0</version>
    </parent>

    <artifactId>core</artifactId>
    <name>core</name>
    <description>应用服务模块</description>

    <dependencies>
        <dependency>
            <groupId>io.geekidea.springbootplus</groupId>
            <artifactId>framework</artifactId>
        </dependency>

        <dependency>
            <groupId>com.google.firebase</groupId>
            <artifactId>firebase-admin</artifactId>
            <version>6.4.0</version>
        </dependency>


        <!--        netty-->
        <dependency>
            <groupId>io.netty</groupId>
            <artifactId>netty-codec</artifactId>
            <version>4.1.25.Final</version>
        </dependency>
        <dependency>
            <groupId>io.netty</groupId>
            <artifactId>netty-transport</artifactId>
            <version>4.1.25.Final</version>
        </dependency>
        <dependency>
            <groupId>io.netty</groupId>
            <artifactId>netty-transport-native-epoll</artifactId>
            <version>4.1.25.Final</version>
            <classifier>linux-x86_64</classifier>
        </dependency>
        <dependency>
            <groupId>io.netty</groupId>
            <artifactId>netty-codec-http</artifactId>
            <version>4.1.25.Final</version>
        </dependency>
        <dependency>
            <groupId>io.netty</groupId>
            <artifactId>netty-handler</artifactId>
            <version>4.1.25.Final</version>
        </dependency>
        <dependency>
            <groupId>io.netty</groupId>
            <artifactId>netty-transport-udt</artifactId>
            <version>4.1.25.Final</version>
        </dependency>
        <dependency>
            <groupId>io.netty</groupId>
            <artifactId>netty-transport-sctp</artifactId>
            <version>4.1.25.Final</version>
        </dependency>
        <!--        netty-->


        <!-- fastbootWeixin的核心依赖 -->
        <dependency>
            <groupId>com.mxixm</groupId>
            <artifactId>fastboot-weixin</artifactId>
            <version>0.6.2</version>
        </dependency>

        <!-- SpringBoot的web项目，必须 -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>

        <!-- 暂时只能使用apache的http，后续可加入其它http支持 -->
        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpcore</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpclient</artifactId>
        </dependency>

        <!--        友盟 start -->

        <dependency>
            <groupId>org.json</groupId>
            <artifactId>json</artifactId>
            <version>20090211</version>
        </dependency>

        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpclient</artifactId>
            <version>4.3.5</version>
        </dependency>

        <!--        友盟 end -->

        <!-- https://mvnrepository.com/artifact/com.turo/pushy -->
        <!--        apns推送-->
        <dependency>
            <groupId>com.turo</groupId>
            <artifactId>pushy</artifactId>
            <version>0.13.10</version>
        </dependency>


        <!-- wecloud短信 start-->
        <dependency>
            <groupId>cn.wecloud</groupId>
            <artifactId>we-cloud-sdk-sms</artifactId>
            <version>1.0.0</version>
            <exclusions>
                <exclusion>
                    <groupId>org.slf4j</groupId>
                    <artifactId>slf4j-simple</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <!-- wecloud短信 end-->

        <dependency>
            <groupId>com.wecloud</groupId>
            <artifactId>pushserver-client</artifactId>
            <version>0.0.1-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.wecloud.imserver</groupId>
            <artifactId>client</artifactId>
            <version>0.0.1-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <scope>provided</scope>
        </dependency>

    </dependencies>
    <!--    <build>-->
    <!--        <resources>-->
    <!--            <resource>-->
    <!--                <directory>src/main/resources</directory>-->
    <!--                <includes>-->
    <!--                    <include>**/*.p12</include>-->
    <!--                </includes>-->
    <!--                <filtering>false</filtering>-->
    <!--            </resource>-->
    <!--        </resources>-->

    <!--        <plugins>-->

    <!--            <plugin>-->
    <!--                <groupId>org.apache.maven.plugins</groupId>-->
    <!--                <artifactId>maven-resources-plugin</artifactId>-->
    <!--                <configuration>-->
    <!--                    <encoding>UTF-8</encoding>-->
    <!--                    &lt;!&ndash; 过滤后缀为pem、pfx的证书文件 &ndash;&gt;-->
    <!--                    &lt;!&ndash;  打包编译是过滤掉这些证书文件，不再自动篡改&ndash;&gt;-->
    <!--                    <nonFilteredFileExtensions>-->
    <!--                        <nonFilteredFileExtension>p12</nonFilteredFileExtension>-->
    <!--                        <nonFilteredFileExtension>pem</nonFilteredFileExtension>-->
    <!--                        <nonFilteredFileExtension>pfx</nonFilteredFileExtension>-->
    <!--                    </nonFilteredFileExtensions>-->
    <!--                </configuration>-->
    <!--            </plugin>-->

    <!--        </plugins>-->
    <!--    </build>-->
</project>